# Learn more about services, parameters and containers at
# http://symfony.com/doc/current/book/service_container.html
parameters:
#    parameter_name: value

services:
#    service_name:
#        class: AppBundle\Directory\ClassName
#        arguments: ["@another_service_name", "plain_value", "%parameter_name%"]
    fos_user.doctrine_registry:
        alias: doctrine
    pafciconline.form.registration:
        class: PafcicOnline\UserBundle\Form\RegistrationType
        arguments: [%fos_user.model.user.class%]
        tags:
            - { name: form.type, alias: pafciconline_user_registration }
    pafciconline.form.profile:
        class: PafcicOnline\UserBundle\Form\ProfileFormType
        arguments: [%fos_user.model.user.class%]
        tags:
            - { name: form.type, alias: pafciconline_user_profile }
    
    redirect.after.login:
        class:  PafcicOnline\UserBundle\Redirection\AfterLoginRedirection
        arguments: [@router]

    redirect.after.logout:
        class:  PafcicOnline\UserBundle\Redirection\AfterLogoutRedirection
        arguments: [@router, @security.context]

    app.twig_extension:
        class: PafcicOnline\PafcicBundle\Twig\DrNameExtension
        public: false
        tags:
            - { name: twig.extension }
